Name:		imake
Version:	1.0.10
Release:	%mkrel 1
Summary:	C preprocessor interface to the make utility
Group:		System/X11
URL:		http://xorg.freedesktop.org
Source:		http://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.xz
Patch0:		cleanlinks.patch
License:	MIT

Requires:	x11-util-cf-files

BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	x11-proto-devel

%description
Imake is used to generate Makefiles from a template, a set of cpp macro
functions,  and  a  per-directory input file called an Imakefile.  This allows
machine dependencies (such as compiler options,  alternate com- mand  names,
and  special  make  rules)  to  be kept separate from the descriptions of
the various items to be built.

%prep
%setup -q 
%patch0 -p0

%build
%configure2_5x	--with-config-dir=%{_datadir}/X11/config \
		--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}
%make_build

%install
%make_install

%files
%{_bindir}/ccmakedep
%{_bindir}/cleanlinks
%{_bindir}/imake
%{_bindir}/makeg
%{_bindir}/mergelib
%{_bindir}/mkdirhier
%{_bindir}/mkhtmlindex
%{_bindir}/revpath
%{_bindir}/xmkmf
%{_mandir}/man1/ccmakedep.*
%{_mandir}/man1/cleanlinks.*
%{_mandir}/man1/imake.*
%{_mandir}/man1/makeg.*
%{_mandir}/man1/mergelib.*
%{_mandir}/man1/mkdirhier.*
%{_mandir}/man1/mkhtmlindex.*
%{_mandir}/man1/revpath.*
%{_mandir}/man1/xmkmf.*


%changelog
* Thu Feb 15 2024 tex - 1.0.10-1pclos2024
- new version

* Thu Feb 27 2020 tex - 1.0.8-2pclos2020
- rebuild against updates

* Sun Mar 17 2019 tex - 1.0.8-1pclos2019
- rebuild against updates
